---
title: NetworkInformation.downlink
slug: Web/API/NetworkInformation/downlink
tags:
  - API
  - Experimental
  - Network Information API
  - NetworkInformation
  - Property
  - Reference
  - downlink
---
<p>{{SeeCompatTable}}{{APIRef("Network Information API")}}</p>

<p>The <strong><code>downlink</code></strong> read-only property of the {{domxref("NetworkInformation")}} interface returns the effective bandwidth estimate in megabits per second, rounded to the nearest multiple of 25 kilobits per seconds. This value is based on recently observed application layer throughput across recently active connections, excluding connections made to a private address space. In the absence of recent bandwidth measurement data, the attribute value is determined by the properties of the underlying connection technology.</p>

<p>Note that Chrome-based browsers do not conform to the specification, and <a href="https://source.chromium.org/chromium/chromium/src/+/master:third_party/blink/renderer/platform/network/network_state_notifier.cc;l=460;drc=49bf35554c123bbc44a0ef52675144eba2dd7bbc?originalUrl=https:%2F%2Fcs.chromium.org%2F">arbitrarily cap</a> the reported downlink at a maximum of 10 Mbps as an anti-fingerprinting measure. Similar caps exist for the reported latency.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>downLink</em> = NetworkInformation.downlink</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("double")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Network Information','#dom-networkinformation-downlink','downlink')}}</td>
   <td>{{Spec2('Network Information')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.NetworkInformation.downlink")}}</p>
</div>
